SKIPUNZIP=0
MODDIR=${0%/*}
alias sh='/system/bin/sh'
a=$(getprop ro.system.build.version.release)

print_modname() {
  ui_print "***********************"
  ui_print "首次开机进入桌面后静置等待自动操作完毕"
  ui_print "Design By Huber_HaYu 以及团队的支持"
  ui_print "***********************"
  sleep 2
}

set_permissions() {
    set_perm_recursive $MODPATH 0 0 0755 0644
}

nfc_fix() {
    ui_print " - 您是否安装/升级了最新的Magisk 26？"
    ui_print " - 不清楚的一定要退出一下去查看自己的Magisk版本！"
    ui_print "这至关重要！错误的选择可能会导致卡米或NFC/Joyose丢失！"
    ui_print "   "
    sleep 0.6
    ui_print "- 如果不是Magisk 26，请按音量上键"
    ui_print "  "
    sleep 1s
    ui_print "- 如果是Magisk 26，请务必按音量下键！"
    sleep 0.4
    ui_print "  "
    ui_print "- 关于Magisk26的问题："
    ui_print "   如果安装后NFC依旧丢失，请重装模块并在安装时按音量上键"
    key_click=""
    while [ "$key_click" = "" ]; do
        key_click="$(getevent -qlc 1 | awk '{ print $3 }' | grep 'KEY_')"
        sleep 0.2
    done
    case "$key_click" in
        "KEY_VOLUMEUP")
            sleep 0.8
            if [ $a == "13" ]; then
                ui_print "Android Version:$a"
                sleep 0.5
                ui_print "Fixing.."
                sleep 1
                mkdir -p $MODPATH/system/product/
                cp -r /product/pangu/system/* $MODPATH/system/product/
            fi    
            if [ $a == "12" ]; then
                ui_print "无需修复 已跳过"
            fi
        ;;
        *)
            echo "Magisk 26设备，此阶段准备完毕"
    esac
}

# 【本模块纯参数调音，如需引用调音文件请注明作者】
sleep 0.4
ui_print "⚠注意⚠：【本模块为纯参数调音，如需引用调音文件请注明作者】"
sleep 1.5
ui_print " ————————————————————————————————————————————————————"
ui_print " 本模块内的扬声器振幅、Virtual Bass，压限参数来自"
ui_print "       ---------酷安@Huber_HaYu---------"
ui_print " ————————————————————————————————————————————————————"
sleep 1
ui_print "请稍后..."
sleep 3
ui_print "------------------------------"
ui_print "【团队感谢：SetoSkins(代码:service.sh) shadow3(代码:Mly) 灵聚、神生(代码)"
ui_print "mly墨临渊(调音、调试) 中二的番茄（辅助调音） big_chair(辅助调音) bug_casc(辅助调音)】"
ui_print "------------------------------"


print_modname
set_permissions
nfc_fix